Bug Hunting Session
Bug 83874 - RTL: Scrollbar buttons point to the wrong direction
Summary: RTL: Scrollbar buttons point to the wrong direction
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-09-15 09:44 UTC by Daniel Gembom
Modified: 2015-05-06 14:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Horizonal scroll bar (6.31 KB, image/png)
2014-09-15 09:44 UTC, Daniel Gembom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Gembom 2014-09-15 09:44:07 UTC
Created attachment 106307 [details]
Horizonal scroll bar

Problem description: 
Scroll arrow buttons in the horizontal scroll bar appear in reverse (left arrow on the right side and vice versa). I'm using a Hebrew RTL interface.
              
Operating System: Windows XP
Version: 4.3.2.1 rc
Comment 1 Robinson Tryon (qubit) 2014-09-23 06:23:54 UTC
TESTING on LO 4.3.2.1 + Ubuntu 14.04

(In reply to comment #0)
> Problem description: 
> Scroll arrow buttons in the horizontal scroll bar appear in reverse (left
> arrow on the right side and vice versa). I'm using a Hebrew RTL interface.

I tried enabling the RTL interface, but couldn't reproduce the problem either with/without RTL enabled.

Questions:
- Does the bug exist in LO 4.3.1 (or any earlier versions) ?
- Does the bug only appear in the RTL interface?

(After you've answered the questions, please feel free to change the bug status back to 'UNCONFIRMED')

Thanks!
Comment 2 QA Administrators 2015-04-01 14:47:38 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 Daniel Gembom 2015-04-04 23:50:30 UTC
(In reply to Robinson Tryon (qubit) from comment #1)
> TESTING on LO 4.3.2.1 + Ubuntu 14.04
> 
> (In reply to comment #0)
> > Problem description: 
> > Scroll arrow buttons in the horizontal scroll bar appear in reverse (left
> > arrow on the right side and vice versa). I'm using a Hebrew RTL interface.
> 
> I tried enabling the RTL interface, but couldn't reproduce the problem
> either with/without RTL enabled.
> 
> Questions:
> - Does the bug exist in LO 4.3.1 (or any earlier versions) ?
> - Does the bug only appear in the RTL interface?
> 
> (After you've answered the questions, please feel free to change the bug
> status back to 'UNCONFIRMED')
> 
> Thanks!


Hi,

Regarding to your questions:
1. This bug still appears on my 4.4.2.2 version. I don't know what about the version you have asked for. However, this bug belongs only to Calc. I can send you a screenshot if it could help you.
2. I don't know, but this bug occurs only in calc, and only when the sheet is set from right to left. When it is set from left to right, there is no problem even in RTL interface.

Hope it was helpful.
Comment 4 Buovjaga 2015-04-10 15:13:33 UTC
Looks ok to me on Win 7 and Hebrew UI.
Maybe XP-only?
Can you try on Win 7/8/10?

What about this trick: https://wiki.documentfoundation.org/User_Profile#Resolving_corruption_in_the_user_profile

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists after the user profile reset. Change to RESOLVED WORKSFORME, if the problem went away.

גרסה: 4.4.2.2
מזהה הבנייה: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI
Comment 5 QA Administrators 2015-05-06 14:22:01 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team